<?php
 /**
 * Magic CMS 系统设置
 * ============================================================================
 * Copyright 2014 大秦科技，并保留所有权利。
 * 网站地址: http://www.qintech.net；
 * ----------------------------------------------------------------------------
 * 未获商业授权之前，不得将Magic CMS用于商业用途（包括但不限于企业网站、经营性网站
 * 以营利为目的或实现盈利的网站）未经官方许可，禁止在Magic CMS的整体或任何部分基础
 * 上以发展任何派生版本、修改版本或第三方版本用于重新分发。如果您未能遵守本协议的
 * 条款，您的授权将被终止，所被许可的权利将被收回，并承担相应法律责任。
 * ============================================================================
 * Date:2014/12/31
**/
class IndexModule extends CommonModule{

	public function index(){
		$site= M('setting')->all();
		foreach ($site as $v){
			$site2[$v['name']] = $v['value'];
		}
		$this->assign('site', $site2);
		$this->display();
	}

	public function save(){
		if(IS_POST){
			$data = $_POST;
			$db   = M('setting');
			$db->validate = array(
					array('name', 'nonull', '请输入站点标题'),
					array('url', 'nonull', '请输入站点网址')
				);
			foreach ($data as $k=>$v){
				$db->replace(array('name'=>$k,'value'=>$v,'type'=>0));
			}
			$this->success('站点信息保存成功',$_SERVER['HTTP_REFERER']);
		}else{
			$this->error('非法请求');
		};
	}
}